<?php
/**
 * Custom Functions.
 *
 * @package Omega Design Agency
 */

if( !function_exists( 'omega_design_agency_fonts_url' ) ) :

    //Google Fonts URL
    function omega_design_agency_fonts_url(){

        $omega_design_agency_font_families = array(
            'Caveat:wght@400..700',  //font-family: "Caveat", cursive;
            'Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900', //  font-family: "Poppins", sans-serif;
        );

        $omega_design_agency_fonts_url = add_query_arg( array(
            'family' => implode( '&family=', $omega_design_agency_font_families ),
            'display' => 'swap',
        ), 'https://fonts.googleapis.com/css2' );

        return esc_url_raw($omega_design_agency_fonts_url);

    }

endif;

if ( ! function_exists( 'omega_design_agency_sub_menu_toggle_button' ) ) :

    function omega_design_agency_sub_menu_toggle_button( $omega_design_agency_args, $omega_design_agency_item, $depth ) {

        // Add sub menu toggles to the main menu with toggles
        if ( $omega_design_agency_args->theme_location == 'omega-design-agency-primary-menu' && isset( $omega_design_agency_args->show_toggles ) ) {
            
            // Wrap the menu item link contents in a div, used for positioning
            $omega_design_agency_args->before = '<div class="submenu-wrapper">';
            $omega_design_agency_args->after  = '';

            // Add a toggle to items with children
            if ( in_array( 'menu-item-has-children', $omega_design_agency_item->classes ) ) {

                $toggle_target_string = '.menu-item.menu-item-' . $omega_design_agency_item->ID . ' > .sub-menu';

                // Add the sub menu toggle
                $omega_design_agency_args->after .= '<button type="button" class="theme-aria-button submenu-toggle" data-toggle-target="' . $toggle_target_string . '" data-toggle-type="slidetoggle" data-toggle-duration="250" aria-expanded="false"><span class="btn__content" tabindex="-1"><span class="screen-reader-text">' . esc_html__( 'Show sub menu', 'omega-design-agency' ) . '</span>' . omega_design_agency_get_theme_svg( 'chevron-down' ) . '</span></button>';

            }

            // Close the wrapper
            $omega_design_agency_args->after .= '</div><!-- .submenu-wrapper -->';
            // Add sub menu icons to the main menu without toggles (the fallback menu)

        }elseif( $omega_design_agency_args->theme_location == 'omega-design-agency-primary-menu' ) {

            if ( in_array( 'menu-item-has-children', $omega_design_agency_item->classes ) ) {

                $omega_design_agency_args->before = '<div class="link-icon-wrapper">';
                $omega_design_agency_args->after  = omega_design_agency_get_theme_svg( 'chevron-down' ) . '</div>';

            } else {

                $omega_design_agency_args->before = '';
                $omega_design_agency_args->after  = '';

            }

        }

        return $omega_design_agency_args;

    }

endif;

add_filter( 'nav_menu_item_args', 'omega_design_agency_sub_menu_toggle_button', 10, 3 );

if ( ! function_exists( 'omega_design_agency_the_theme_svg' ) ):
    
    function omega_design_agency_the_theme_svg( $omega_design_agency_svg_name, $omega_design_agency_return = false ) {

        if( $omega_design_agency_return ){

            return omega_design_agency_get_theme_svg( $omega_design_agency_svg_name ); //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- Escaped in omega_design_agency_get_theme_svg();.

        }else{

            echo omega_design_agency_get_theme_svg( $omega_design_agency_svg_name ); //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- Escaped in omega_design_agency_get_theme_svg();.

        }
    }

endif;

if ( ! function_exists( 'omega_design_agency_get_theme_svg' ) ):

    function omega_design_agency_get_theme_svg( $omega_design_agency_svg_name ) {

        // Make sure that only our allowed tags and attributes are included.
        $omega_design_agency_svg = wp_kses(
            Omega_Design_Agency_SVG_Icons::get_svg( $omega_design_agency_svg_name ),
            array(
                'svg'     => array(
                    'class'       => true,
                    'xmlns'       => true,
                    'width'       => true,
                    'height'      => true,
                    'viewbox'     => true,
                    'aria-hidden' => true,
                    'role'        => true,
                    'focusable'   => true,
                ),
                'path'    => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'd'         => true,
                    'transform' => true,
                ),
                'polygon' => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'points'    => true,
                    'transform' => true,
                    'focusable' => true,
                ),
                'polyline' => array(
                    'fill'      => true,
                    'points'    => true,
                ),
                'line' => array(
                    'fill'      => true,
                    'x1'      => true,
                    'x2' => true,
                    'y1'    => true,
                    'y2' => true,
                ),
            )
        );
        if ( ! $omega_design_agency_svg ) {
            return false;
        }
        return $omega_design_agency_svg;

    }

endif;

if( !function_exists( 'omega_design_agency_post_category_list' ) ) :

    // Post Category List.
    function omega_design_agency_post_category_list( $omega_design_agency_select_cat = true ){

        $omega_design_agency_post_cat_lists = get_categories(
            array(
                'hide_empty' => '0',
                'exclude' => '1',
            )
        );

        $omega_design_agency_post_cat_cat_array = array();
        if( $omega_design_agency_select_cat ){

            $omega_design_agency_post_cat_cat_array[''] = esc_html__( '-- Select Category --','omega-design-agency' );

        }

        foreach ( $omega_design_agency_post_cat_lists as $omega_design_agency_post_cat_list ) {

            $omega_design_agency_post_cat_cat_array[$omega_design_agency_post_cat_list->slug] = $omega_design_agency_post_cat_list->name;

        }

        return $omega_design_agency_post_cat_cat_array;
    }

endif;

if( !function_exists('omega_design_agency_single_post_navigation') ):

    function omega_design_agency_single_post_navigation(){

        $omega_design_agency_default = omega_design_agency_get_default_theme_options();
        $omega_design_agency_twp_navigation_type = esc_attr( get_post_meta( get_the_ID(), 'twp_disable_ajax_load_next_post', true ) );
        $omega_design_agency_current_id = '';
        $article_wrap_class = '';
        global $post;
        $omega_design_agency_current_id = $post->ID;
        if( $omega_design_agency_twp_navigation_type == '' || $omega_design_agency_twp_navigation_type == 'global-layout' ){
            $omega_design_agency_twp_navigation_type = get_theme_mod('twp_navigation_type', $omega_design_agency_default['twp_navigation_type']);
        }

        if( $omega_design_agency_twp_navigation_type != 'no-navigation' && 'post' === get_post_type() ){

            if( $omega_design_agency_twp_navigation_type == 'theme-normal-navigation' ){ ?>

                <div class="navigation-wrapper">
                    <?php
                    // Previous/next post navigation.
                    the_post_navigation(array(
                        'prev_text' => '<span class="arrow" aria-hidden="true">' . omega_design_agency_the_theme_svg('arrow-left',$omega_design_agency_return = true ) . '</span><span class="screen-reader-text">' . esc_html__('Previous post:', 'omega-design-agency') . '</span><span class="post-title">%title</span>',
                        'next_text' => '<span class="arrow" aria-hidden="true">' . omega_design_agency_the_theme_svg('arrow-right',$omega_design_agency_return = true ) . '</span><span class="screen-reader-text">' . esc_html__('Next post:', 'omega-design-agency') . '</span><span class="post-title">%title</span>',
                    )); ?>
                </div>
                <?php

            }else{

                $omega_design_agency_next_post = get_next_post();
                if( isset( $omega_design_agency_next_post->ID ) ){

                    $omega_design_agency_next_post_id = $omega_design_agency_next_post->ID;
                    echo '<div loop-count="1" next-post="' . absint( $omega_design_agency_next_post_id ) . '" class="twp-single-infinity"></div>';

                }
            }

        }

    }

endif;

add_action( 'omega_design_agency_navigation_action','omega_design_agency_single_post_navigation',30 );

if( !function_exists('omega_design_agency_content_offcanvas') ):

    // Offcanvas Contents
    function omega_design_agency_content_offcanvas(){ ?>

        <div id="offcanvas-menu">
            <div class="offcanvas-wraper">
                <div class="close-offcanvas-menu">
                    <div class="offcanvas-close">
                        <a href="javascript:void(0)" class="skip-link-menu-start"></a>
                        <button type="button" class="button-offcanvas-close">
                            <span class="offcanvas-close-label">
                                <?php echo esc_html__('Close', 'omega-design-agency'); ?>
                            </span>
                        </button>
                    </div>
                </div>
                <div id="primary-nav-offcanvas" class="offcanvas-item offcanvas-main-navigation">
                    <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'omega-design-agency'); ?>" role="navigation">
                        <ul class="primary-menu theme-menu">
                            <?php
                            if (has_nav_menu('omega-design-agency-primary-menu')) {
                                wp_nav_menu(
                                    array(
                                        'container' => '',
                                        'items_wrap' => '%3$s',
                                        'theme_location' => 'omega-design-agency-primary-menu',
                                        'show_toggles' => true,
                                    )
                                );
                            }else{

                                wp_list_pages(
                                    array(
                                        'match_menu_classes' => true,
                                        'show_sub_menu_icons' => true,
                                        'title_li' => false,
                                        'show_toggles' => true,
                                        'walker' => new Omega_Design_Agency_Walker_Page(),
                                    )
                                );
                            }
                            ?>
                        </ul>
                    </nav><!-- .primary-menu-wrapper -->
                </div>
                <a href="javascript:void(0)" class="skip-link-menu-end"></a>
            </div>
        </div>

    <?php
    }

endif;

add_action( 'omega_design_agency_before_footer_content_action','omega_design_agency_content_offcanvas',30 );

if( !function_exists('omega_design_agency_footer_content_widget') ):

    function omega_design_agency_footer_content_widget(){
        
        $omega_design_agency_default = omega_design_agency_get_default_theme_options();
        
        $omega_design_agency_footer_column_layout = absint(get_theme_mod('omega_design_agency_footer_column_layout', $omega_design_agency_default['omega_design_agency_footer_column_layout']));
        $omega_design_agency_footer_sidebar_class = 12;
        
        if($omega_design_agency_footer_column_layout == 2) {
            $omega_design_agency_footer_sidebar_class = 6;
        }
        
        if($omega_design_agency_footer_column_layout == 3) {
            $omega_design_agency_footer_sidebar_class = 4;
        }
        ?>
        
        <?php if ( get_theme_mod('omega_design_agency_display_footer', true) == true ) : ?>
            <div class="footer-widgetarea">
                <div class="wrapper">
                    <div class="column-row">
                    
                        <?php for ($i = 0; $i < $omega_design_agency_footer_column_layout; $i++) : ?>
                            
                            <div class="column <?php echo 'column-' . absint($omega_design_agency_footer_sidebar_class); ?> column-sm-12">
                                
                                <?php 
                                // If no widgets are assigned, display default widgets
                                if ( ! is_active_sidebar( 'omega-design-agency-footer-widget-' . $i ) ) : 

                                    if ($i === 0) : ?>
                                        <div id="media_image-3" class="widget widget_media_image">
                                            <img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/logo.png'); ?>" alt="<?php echo esc_attr__( 'Footer Image', 'omega-design-agency' ); ?>" style="max-width: 100%; height: auto;">
                                        </div>
                                        <div id="text-3" class="widget widget_text">
                                            <div class="textwidget">
                                                <p class="widget_text">
                                                    <?php esc_html_e('The Omega Design Agency WordPress Theme is a feature-rich theme built specifically for creative professionals and design agencies looking to showcase their portfolio and services in a visually captivating way.', 'omega-design-agency'); ?>
                                                </p>
                                            </div>
                                        </div>

                                    <?php elseif ($i === 1) : ?>
                                        <div id="pages-2" class="widget widget_pages">
                                            <h2 class="widget-title"><?php esc_html_e('Calendar', 'omega-design-agency'); ?></h2>
                                            <?php get_calendar(); ?>
                                        </div>

                                    <?php elseif ($i === 2) : ?>
                                        <div id="search-2" class="widget widget_search">
                                            <h2 class="widget-title"><?php esc_html_e('Enter Keywords Here', 'omega-design-agency'); ?></h2>
                                            <?php get_search_form(); ?>
                                        </div>
                                    <?php endif; 
                                    
                                else :
                                    // Display dynamic sidebar widget if assigned
                                    dynamic_sidebar('omega-design-agency-footer-widget-' . $i);
                                endif;
                                ?>
                                
                            </div>
                            
                        <?php endfor; ?>

                    </div>
                </div>
            </div>
        <?php endif; ?> 

    <?php
    }

endif;

add_action( 'omega_design_agency_footer_content_action', 'omega_design_agency_footer_content_widget', 10 );


if( !function_exists('omega_design_agency_footer_content_info') ):

    /**
     * Footer Copyright Area
    **/
    function omega_design_agency_footer_content_info(){

        $omega_design_agency_default = omega_design_agency_get_default_theme_options(); ?>
        <div class="site-info">
            <div class="wrapper">
                <div class="column-row">
                    <div class="column column-9">
                        <div class="footer-credits">
                            <div class="footer-copyright">
                                <?php
                                $omega_design_agency_footer_copyright_text = wp_kses_post( get_theme_mod( 'omega_design_agency_footer_copyright_text', $omega_design_agency_default['omega_design_agency_footer_copyright_text'] ) );
                                    echo esc_html( $omega_design_agency_footer_copyright_text );
                                    echo '<br>';
                                    echo esc_html__('Theme: ', 'omega-design-agency') . '<a href="' . esc_url('https://www.omegathemes.com/products/free-design-agency-wordpress-theme') . '" title="' . esc_attr__('OMEGA DESIGN AGENCY', 'omega-design-agency') . '" target="_blank"><span>' . esc_html__('OMEGA DESIGN AGENCY', 'omega-design-agency') . '</span></a>' . esc_html__(' By ', 'omega-design-agency') . '  <span>' . esc_html__('OMEGA ', 'omega-design-agency') . '</span>';
                                    echo esc_html__('Powered by ', 'omega-design-agency') . '<a href="' . esc_url('https://wordpress.org') . '" title="' . esc_attr__('WordPress', 'omega-design-agency') . '" target="_blank"><span>' . esc_html__('WordPress.', 'omega-design-agency') . '</span></a>';
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="column column-3 align-text-right">
                        <a class="to-the-top" href="#site-header">
                            <span class="to-the-top-long">
                                <?php if ( get_theme_mod('omega_design_agency_enable_to_the_top', true) == true ) : ?>
                                    <?php
                                    $omega_design_agency_to_the_top_text = get_theme_mod( 'omega_design_agency_to_the_top_text', __( 'To the Top', 'omega-design-agency' ) );
                                    printf( 
                                        wp_kses( 
                                            /* translators: %s is the arrow icon markup */
                                            '%s %s', 
                                            array( 'span' => array( 'class' => array(), 'aria-hidden' => array() ) ) 
                                        ), 
                                        esc_html( $omega_design_agency_to_the_top_text ),
                                        '<span class="arrow" aria-hidden="true">&uarr;</span>' 
                                    );
                                    ?>
                                <?php endif; ?>
                            </span>
                        </a>

                    </div>
                </div>
            </div>
        </div>

    <?php
    }

endif;

add_action( 'omega_design_agency_footer_content_action','omega_design_agency_footer_content_info',20 );


if( !function_exists( 'omega_design_agency_main_slider' ) ) :

    function omega_design_agency_main_slider(){

        $omega_design_agency_default = omega_design_agency_get_default_theme_options();

        $omega_design_agency_header_banner = get_theme_mod( 'omega_design_agency_header_banner', $omega_design_agency_default['omega_design_agency_header_banner'] );
        $omega_design_agency_header_banner_cat = get_theme_mod( 'omega_design_agency_header_banner_cat','Slider' );

        $omega_design_agency_slider_button_url = esc_url( get_theme_mod( 'omega_design_agency_slider_button_url',
        $omega_design_agency_default['omega_design_agency_slider_button_url'] ) );

        $omega_design_agency_client_section_logo_image_1 = esc_url( get_theme_mod( 'omega_design_agency_client_section_logo_image_1',
        $omega_design_agency_default['omega_design_agency_client_section_logo_image_1'] ) );

        $omega_design_agency_client_section_logo_image_2 = esc_url( get_theme_mod( 'omega_design_agency_client_section_logo_image_2',
        $omega_design_agency_default['omega_design_agency_client_section_logo_image_2'] ) );

        $omega_design_agency_client_section_logo_image_3 = esc_url( get_theme_mod( 'omega_design_agency_client_section_logo_image_3',
        $omega_design_agency_default['omega_design_agency_client_section_logo_image_3'] ) );

        $omega_design_agency_slider_button_text = esc_html( get_theme_mod( 'omega_design_agency_slider_button_text',
        $omega_design_agency_default['omega_design_agency_slider_button_text'] ) );

        $omega_design_agency_banner_background_image = esc_url( get_theme_mod( 'omega_design_agency_banner_background_image',
        $omega_design_agency_default['omega_design_agency_banner_background_image'] ) );
        
        if( $omega_design_agency_header_banner ){

            $omega_design_agency_rtl = '';
            if( is_rtl() ){
                $omega_design_agency_rtl = 'dir="rtl"';
            }

            $omega_design_agency_banner_query = new WP_Query( array('post_type' => 'post', 'posts_per_page' => 4,'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html( $omega_design_agency_header_banner_cat ) ) );

            if( $omega_design_agency_banner_query->have_posts() ): ?>

                <div class="theme-custom-block theme-banner-block" >
                    <div class="slider-box" style="background: url(<?php echo esc_url( $omega_design_agency_banner_background_image ); ?>);">
                        <div class="wrapper">
                            <div class="main-slider">
                                <div class="swiper-container theme-main-carousel swiper-container" <?php echo $omega_design_agency_rtl; ?>>
                                    <div class="swiper-wrapper">
                                        <?php
                                        while( $omega_design_agency_banner_query->have_posts() ):
                                        $omega_design_agency_banner_query->the_post();
                                        $omega_design_agency_featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'large');
                                        $omega_design_agency_featured_image = isset( $omega_design_agency_featured_image[0] ) ? $omega_design_agency_featured_image[0] : ''; ?>
                                            <div class="swiper-slide main-carousel-item">                              
                                                <div class="slider-main">
                                                    <div class="left-box">
                                                        <div class="slide-heading-main">
                                                            <div class="main-carousel-caption">
                                                                <div class="post-content">
                                                                    <header class="entry-header">
                                                                        <h2 class="slider-heading">
                                                                            <a href="<?php the_permalink(); ?>" rel="bookmark"><span><?php the_title(); ?></span></a>
                                                                        </h2>
                                                                    </header>
                                                                    <a href="<?php the_permalink(); ?>" class="btn-fancy btn-fancy-primary" tabindex="0">
                                                                        <?php echo esc_html__('get started', 'omega-design-agency'); ?>
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="right-box">
                                                        <div class="image-main-box">
                                                            <div class="data-bg data-bg-large" data-background="<?php if($omega_design_agency_featured_image)  { echo esc_url($omega_design_agency_featured_image); } else { echo esc_url(get_template_directory_uri() . '/inc/homepage-setup/assets/homepage-setup-images/slider-img1.png'); } ?>">
                                                            </div>
                                                            <?php omega_design_agency_post_format_icon(); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endwhile; ?>
                                    </div>
                                    <div class="swiper-pagination"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="our-client">
                        <span class="heading">
                            <?php echo esc_html('Our clients','omega-design-agency'); ?>
                        </span>
                        <div class="client-logo">
                            <span class="logo">
                                <img src="<?php echo esc_url($omega_design_agency_client_section_logo_image_1); ?>">
                            </span>
                            <span class="logo">
                                <img src="<?php echo esc_url($omega_design_agency_client_section_logo_image_2); ?>">
                            </span>
                            <span class="logo">
                                <img src="<?php echo esc_url($omega_design_agency_client_section_logo_image_3); ?>">
                            </span>
                        </div> 
                    </div>
                </div>
            <?php
            wp_reset_postdata();
            endif;
        }
    }

endif;


if( !function_exists( 'omega_design_agency_product_section' ) ) :

    function omega_design_agency_product_section(){ 

        $omega_design_agency_default = omega_design_agency_get_default_theme_options();
        $omega_design_agency_locations_post = get_theme_mod( 'omega_design_agency_locations_post', $omega_design_agency_default['omega_design_agency_locations_post'] );
        $omega_design_agency_locations_post_cat = get_theme_mod( 'omega_design_agency_locations_post_cat' );

        $omega_design_agency_team_section_subtitle = esc_html( get_theme_mod( 'omega_design_agency_team_section_subtitle',
        $omega_design_agency_default['omega_design_agency_team_section_subtitle'] ) );

        $omega_design_agency_team_section_title = esc_html( get_theme_mod( 'omega_design_agency_team_section_title',
        $omega_design_agency_default['omega_design_agency_team_section_title'] ) );

        $omega_design_agency_locations_query = new WP_Query( array('post_type' => 'post', 'posts_per_page' => 6,'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html( $omega_design_agency_locations_post_cat ) ) );

            if( $omega_design_agency_locations_query->have_posts() ): ?>

            <div class="theme-product-block">
                <div class="wrapper">
                    <div class="section-heading">
                        <?php if( $omega_design_agency_team_section_subtitle ){ ?>
                            <h6><?php echo esc_html( $omega_design_agency_team_section_subtitle ); ?></h6>
                        <?php } ?>
                        <?php if( $omega_design_agency_team_section_title ){ ?>
                            <h4><?php echo esc_html( $omega_design_agency_team_section_title ); ?></h4>
                        <?php } ?>
                    </div>
                    <div class="owl-carousel" role="listbox">
                        <?php
                            $s=1;
                            while( $omega_design_agency_locations_query->have_posts() ):
                            $omega_design_agency_locations_query->the_post();
                            $omega_design_agency_featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'large');
                            $omega_design_agency_featured_image = isset( $omega_design_agency_featured_image[0] ) ? $omega_design_agency_featured_image[0] : ''; 

                            $omega_design_agency_team_section_designation = esc_html( get_theme_mod( 'omega_design_agency_team_section_designation'.$s,'Web Designer' ) );

                            ?>                                
                            <div class="theme-article-post">
                                <div class="entry-thumbnail">
                                    <div class="data-bg featured-img" data-background="<?php echo esc_url($omega_design_agency_featured_image ? $omega_design_agency_featured_image : get_template_directory_uri() . '/assets/images/default.png'); ?>">
                                        <a href="<?php the_permalink(); ?>" class="theme-image-responsive" tabindex="0"></a>
                                    </div>
                                    <?php omega_design_agency_post_format_icon(); ?>
                                </div>
                                <div class="main-owl-caption">
                                    <div class="post-content-location">
                                        <header class="entry-header">
                                            <?php if( $omega_design_agency_team_section_designation ){ ?>
                                                <p><?php echo esc_html( $omega_design_agency_team_section_designation ); ?></p>
                                            <?php } ?>
                                            <h2 class="entry-title entry-title-big">
                                                <a href="<?php the_permalink(); ?>" rel="bookmark"><span><?php the_title(); ?></span></a>
                                            </h2>
                                        </header>
                                    </div>
                                </div>
                            </div>
                        <?php $s++; endwhile; ?>
                    </div>
                </div>
            </div>
             <?php
            wp_reset_postdata();
            endif;
          ?>
    <?php }

endif;

if (!function_exists('omega_design_agency_post_format_icon')):

    // Post Format Icon.
    function omega_design_agency_post_format_icon() {

        $omega_design_agency_format = get_post_format(get_the_ID()) ?: 'standard';
        $omega_design_agency_icon = '';
        $omega_design_agency_title = '';
        if( $omega_design_agency_format == 'video' ){
            $omega_design_agency_icon = omega_design_agency_get_theme_svg( 'video' );
            $omega_design_agency_title = esc_html__('Video','omega-design-agency');
        }elseif( $omega_design_agency_format == 'audio' ){
            $omega_design_agency_icon = omega_design_agency_get_theme_svg( 'audio' );
            $omega_design_agency_title = esc_html__('Audio','omega-design-agency');
        }elseif( $omega_design_agency_format == 'gallery' ){
            $omega_design_agency_icon = omega_design_agency_get_theme_svg( 'gallery' );
            $omega_design_agency_title = esc_html__('Gallery','omega-design-agency');
        }elseif( $omega_design_agency_format == 'quote' ){
            $omega_design_agency_icon = omega_design_agency_get_theme_svg( 'quote' );
            $omega_design_agency_title = esc_html__('Quote','omega-design-agency');
        }elseif( $omega_design_agency_format == 'image' ){
            $omega_design_agency_icon = omega_design_agency_get_theme_svg( 'image' );
            $omega_design_agency_title = esc_html__('Image','omega-design-agency');
        } elseif( $omega_design_agency_format == 'link' ){
            $omega_design_agency_icon = omega_design_agency_get_theme_svg( 'link' );
            $omega_design_agency_title = esc_html__('Link','omega-design-agency');
        } elseif( $omega_design_agency_format == 'status' ){
            $omega_design_agency_icon = omega_design_agency_get_theme_svg( 'status' );
            $omega_design_agency_title = esc_html__('Status','omega-design-agency');
        } elseif( $omega_design_agency_format == 'aside' ){
            $omega_design_agency_icon = omega_design_agency_get_theme_svg( 'aside' );
            $omega_design_agency_title = esc_html__('Aside','omega-design-agency');
        } elseif( $omega_design_agency_format == 'chat' ){
            $omega_design_agency_icon = omega_design_agency_get_theme_svg( 'chat' );
            $omega_design_agency_title = esc_html__('Chat','omega-design-agency');
        }
        
        if (!empty($omega_design_agency_icon)) { ?>
            <div class="theme-post-format">
                <span class="post-format-icom"><?php echo omega_design_agency_svg_escape($omega_design_agency_icon); ?></span>
                <?php if( $omega_design_agency_title ){ echo '<span class="post-format-label">'.esc_html( $omega_design_agency_title ).'</span>'; } ?>
            </div>
        <?php }
    }

endif;

if ( ! function_exists( 'omega_design_agency_svg_escape' ) ):

    /**
     * Get information about the SVG icon.
     *
     * @param string $omega_design_agency_svg_name The name of the icon.
     * @param string $group The group the icon belongs to.
     * @param string $color Color code.
     */
    function omega_design_agency_svg_escape( $omega_design_agency_input ) {

        // Make sure that only our allowed tags and attributes are included.
        $omega_design_agency_svg = wp_kses(
            $omega_design_agency_input,
            array(
                'svg'     => array(
                    'class'       => true,
                    'xmlns'       => true,
                    'width'       => true,
                    'height'      => true,
                    'viewbox'     => true,
                    'aria-hidden' => true,
                    'role'        => true,
                    'focusable'   => true,
                ),
                'path'    => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'd'         => true,
                    'transform' => true,
                ),
                'polygon' => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'points'    => true,
                    'transform' => true,
                    'focusable' => true,
                ),
            )
        );

        if ( ! $omega_design_agency_svg ) {
            return false;
        }

        return $omega_design_agency_svg;

    }

endif;

if( !function_exists( 'omega_design_agency_sanitize_sidebar_option_meta' ) ) :

    // Sidebar Option Sanitize.
    function omega_design_agency_sanitize_sidebar_option_meta( $omega_design_agency_input ){

        $omega_design_agency_metabox_options = array( 'global-sidebar','left-sidebar','right-sidebar','no-sidebar' );
        if( in_array( $omega_design_agency_input,$omega_design_agency_metabox_options ) ){

            return $omega_design_agency_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'omega_design_agency_sanitize_pagination_meta' ) ) :

    // Sidebar Option Sanitize.
    function omega_design_agency_sanitize_pagination_meta( $omega_design_agency_input ){

        $omega_design_agency_metabox_options = array( 'Center','Right','Left');
        if( in_array( $omega_design_agency_input,$omega_design_agency_metabox_options ) ){

            return $omega_design_agency_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'omega_design_agency_sanitize_pagination_type' ) ) :

    /**
     * Sanitize the pagination type setting.
     *
     * @param string $omega_design_agency_input The input value from the Customizer.
     * @return string The sanitized value.
     */
    function omega_design_agency_sanitize_pagination_type( $omega_design_agency_input ) {
        // Define valid options for the pagination type.
        $omega_design_agency_valid_options = array( 'numeric', 'newer_older' ); // Update valid options to include 'newer_older'

        // If the input is one of the valid options, return it. Otherwise, return the default option ('numeric').
        if ( in_array( $omega_design_agency_input, $omega_design_agency_valid_options, true ) ) {
            return $omega_design_agency_input;
        } else {
            // Return 'numeric' as the fallback if the input is invalid.
            return 'numeric';
        }
    }

endif;


// Sanitize the enable/disable setting for pagination
if( !function_exists('omega_design_agency_sanitize_enable_pagination') ) :
    function omega_design_agency_sanitize_enable_pagination( $omega_design_agency_input ) {
        return (bool) $omega_design_agency_input;
    }
endif;


if( !function_exists( 'omega_design_agency_sanitize_menu_transform' ) ) :

    // Sidebar Option Sanitize.
    function omega_design_agency_sanitize_menu_transform( $omega_design_agency_input ){

        $omega_design_agency_metabox_options = array( 'capitalize','uppercase','lowercase');
        if( in_array( $omega_design_agency_input,$omega_design_agency_metabox_options ) ){

            return $omega_design_agency_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'omega_design_agency_sanitize_page_content_alignment' ) ) :

    // Sidebar Option Sanitize.
    function omega_design_agency_sanitize_page_content_alignment( $omega_design_agency_input ){

        $omega_design_agency_metabox_options = array( 'left','center','right');
        if( in_array( $omega_design_agency_input,$omega_design_agency_metabox_options ) ){

            return $omega_design_agency_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'omega_design_agency_sanitize_footer_widget_title_alignment' ) ) :

    // Footer Option Sanitize.
    function omega_design_agency_sanitize_footer_widget_title_alignment( $omega_design_agency_input ){

        $omega_design_agency_metabox_options = array( 'left','center','right');
        if( in_array( $omega_design_agency_input,$omega_design_agency_metabox_options ) ){

            return $omega_design_agency_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'omega_design_agency_sanitize_copyright_alignment_meta' ) ) :

    // Sidebar Option Sanitize.
    function omega_design_agency_sanitize_copyright_alignment_meta( $omega_design_agency_input ){

        $omega_design_agency_metabox_options = array( 'Default','Reverse','Center');
        if( in_array( $omega_design_agency_input,$omega_design_agency_metabox_options ) ){

            return $omega_design_agency_input;

        }else{

            return '';

        }
    }

endif;

/**
 * Sidebar Layout Function
 */
function omega_design_agency_get_final_sidebar_layout() {
	$omega_design_agency_defaults       = omega_design_agency_get_default_theme_options();
	$omega_design_agency_global_layout  = get_theme_mod('omega_design_agency_global_sidebar_layout', $omega_design_agency_defaults['omega_design_agency_global_sidebar_layout']);
	$omega_design_agency_page_layout    = get_theme_mod('omega_design_agency_page_sidebar_layout', $omega_design_agency_global_layout);
	$omega_design_agency_post_layout    = get_theme_mod('omega_design_agency_post_sidebar_layout', $omega_design_agency_global_layout);
	$omega_design_agency_meta_layout    = get_post_meta(get_the_ID(), 'omega_design_agency_post_sidebar_option', true);

	if (!empty($omega_design_agency_meta_layout) && $omega_design_agency_meta_layout !== 'default') {
		return $omega_design_agency_meta_layout;
	}
	if (is_page() || (function_exists('is_shop') && is_shop())) {
		return $omega_design_agency_page_layout;
	}
	if (is_single()) {
		return $omega_design_agency_post_layout;
	}
	return $omega_design_agency_global_layout;
}